Bug 846368 - redeclipse: arbitrary file disclosue flaw with transmitted map cfg scripts
redeclipse: arbitrary file disclosue flaw with transmitted map cfg scripts
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120722,repor...
: Security
Depends On: 846372
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 11:05 EDT by Vincent Danen
Modified: 2012-08-25 12:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-25 12:05:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-07 11:05:04 EDT
A flaw was found in the way Red Eclipse handled config files.  In cube2-engine games, game maps can be transmitted either from the server to a client, or from client to client.  These maps include a config file (mapname.cfg) in "cubescript" format, which allows for an attacker to send a malicious script via a new map.  This map must either be chosen by an administrator on the server, or created in co-operative editing mode.  A malicious script could then be used to read or write to any files that the user running the client has access to when the victim loads a map with the malicious configuration file.

This has been corrected upstream:

https://sourceforge.net/apps/trac/redeclipse/changeset/3764
Comment 1 Vincent Danen 2012-08-07 11:09:32 EDT
Created redeclipse tracking bugs for this issue

Affects: fedora-17 [bug 846372]
Comment 2 Fedora Update System 2012-08-18 20:26:09 EDT
redeclipse-1.2-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.